package gov.va.med.edp.vistalink.locator;

public class VistaLinkConnectorConfig {
    private String primaryStation;
    private String name;
    private String host;
    private int port;
    private String accessCode;
    private String verifyCode;

    public VistaLinkConnectorConfig() {
    }

     public VistaLinkConnectorConfig(String primaryStation, String name, String host, int port, String accessCode, String verifyCode) {
        this.primaryStation = primaryStation;
        this.name = name;
        this.host = host;
        this.port = port;
        this.accessCode = accessCode;
        this.verifyCode = verifyCode;
    }

    public String getPrimaryStation() {
        return primaryStation;
    }

    public String getName() {
        return name;
    }

    public String getHost() {
        return host;
    }

    public int getPort() {
        return port;
    }

    public String getAccessCode() {
        return accessCode;
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setPrimaryStation(String primaryStation) {
        this.primaryStation = primaryStation;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public void setAccessCode(String accessCode) {
        this.accessCode = accessCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }
}
